# Social platforms are broken

<h4 class="light">There's something terribly wrong with the Internet</h4>

<div class="row">

<div class="six columns">

<div class="head-icon"><i class="fa fa-server fa-3x light"></i></div>

#### Centralized

Online services are all centralized. Your data always goes through foreign servers and
is stored in databases far away from your control.

</div>
<div class="six columns">

<div class="head-icon"><i class="fa fa-money fa-3x light"></i></div>

#### Expensive

Centralization costs a lot. Servers need to be paid for and engineers need to
be hired to handle their load. That's why most sites have ads.

</div>
</div>

<div class="row">
<div class="six columns">

<div class="head-icon"><i class="fa fa-bomb fa-3x light"></i></div>

#### Fragile

When you use a centralized service, you rely on its owners. What if they go
bankrupt or just pull the plug on your data?

</div>
<div class="six columns">

<div class="head-icon"><i class="fa fa-legal fa-3x light"></i></div>

#### Controlled

The owners control the service. What if you want to go back to an older version
of the service? What if you want it to work like it used to, or you want to make
it do something new?

</div>
</div>

----

## How can we solve this?

A new Social Platform needs to be built that attempts to be the first to solve
these problems: it has to allow people to publish their thoughs, give them power
to control their content, their pages and their profiles but also the freedom to
live without any rules. It has to work on all platforms, all networks,
even without the Internet.

----

## Introducing Boards

<h5 class="light">Boards is a distributed social platform built for the browser
using the <a href="https://ipfs.io">IPFS</a> protocol</h5>

<div class="row">
<div class="six columns">

<div class="head-icon"><i class="fa fa-users fa-3x light"></i></div>

#### Distributed

__Every user is responsible for his own content__, Profile and Boards, but your computer
helps your friends and favorite creators (and only them) by sending their
content to people that want to see it. __Only the original creator has control
over his data__.

</div>
<div class="six columns">

<div class="head-icon"><i class="fa fa-bolt fa-3x light"></i></div>

#### Efficient

There is no heavy __Blockchain__. This service is built to work everywhere from
supercomputers to smartphones to embedded devices. __The more users see a page,
the faster it travels to others__, making Denial of Service attacks virtually impossible.

</div>
</div>

<div class="row">
<div class="six columns">

<div class="head-icon"><i class="fa fa-globe fa-3x light"></i></div>

#### Free

__Free, as in Freedom__. __We can't control anything__, because the users
control the content. There is no central database. There are only the users,
their computers, and their content. __We can't put ads on this__, because
they'd be too easy to block: anyone can create his own App that connects to
our service.

</div>
<div class="six columns">

<div class="head-icon"><i class="fa fa-cogs fa-3x light"></i></div>

#### Open

__We're working on this in the open__. We already have a prototype, and all our
code is _Free Software_. Got what it
takes? [Join development on GitHub](https://github.com/fazo96/ipfs-boards) and
help us build the first feature complete prototype.

</div>
</div>

----

<h5 class="light">Help us getting it to work</h5>

<a href="https://github.com/fazo96/ipfs-boards"><i class="fa fa-github fa-3x"></i></a>

----

Built by [Enrico Fasoli](https://github.com/fazo96). This Application is a prototype
distributed under the terms of the GPLv3 License. Every other bundled asset is
distributed under the terms of its own license. Learn more at the [Project Page](https://github.com/fazo96/ipfs-boards)
